Вход | Регистрация


1С:Предприятие ::

Метки: 

EDT 1.7 в релизе

Я
   Fragster
 
25.12.17 - 17:12
много вкусного, например поддержка 8.3.11
http://downloads.v8.1c.ru/content//DevelopmentTools/1_7_0_567/1cv8upd.htm
 
  Рекламное место пустует
   Dmitry1c
 
1 - 25.12.17 - 17:13
Не подавитесь этим вкусненьким
   TormozIT
 
2 - 25.12.17 - 17:14
Давайте тестируйте ребята. Жду ваших отчетов =)
   Вафель
 
3 - 25.12.17 - 17:15
ЕРП уже можно загрузить?
   Fragster
 
4 - 25.12.17 - 17:15
(3) да оно и в 1.6 загружалось. грустно, но загружалось :)
   ildary
 
5 - 25.12.17 - 17:16
(3) лишь бы не пришлось иметь в комплекте подушку, чтобы поспать пока загружается.
   Мыш
 
6 - 25.12.17 - 17:18
(1), (2) 1С 7.7 форева )
   Вафель
 
7 - 25.12.17 - 17:20
Кто-нибудь уже юзал прошлую версию для раздработки?
   AlfaDog
 
8 - 25.12.17 - 17:30
(0) Игрушка для мазохистов
   zak555
 
9 - 25.12.17 - 17:33
(4) у меня не удалось
   Dmitry1c
 
10 - 25.12.17 - 18:08
(6) я 7.7 не застал уже.
 
 
   GreyK
 
11 - 25.12.17 - 18:17
(10) 7.7 и сейчас живее всех живых! Правда я в других галактиках не проверял наличие 7.7 :(
   Digger
 
12 - 27.12.17 - 10:06
Здравствуйте,  дети.  Эта ваш санта клаус,  у вас есть проекты в воркспейсе для ЕДТ 1.6 и вы хотите чтобы этот воркспейс работал с 1.7?  Хо хо хо.
   ildary
 
13 - 27.12.17 - 10:25
(12) то есть программисты, начавшие работу в EDT 1.6 не могут запустить готовый workspace на 1.7? А конвертилки нет в комплекте? И в таком случае в readme положение делать предупреждение.
   Дык ё
 
14 - 27.12.17 - 10:35
(8) ага. вот так понаберут яверов, а потом не знают, что с ними делать
   Мыш
 
15 - 27.12.17 - 10:43
Кто ещё не плюнул в поделку от 1С? Набегай, целься )
   Asmody
 
16 - 27.12.17 - 10:44
(4) А теперь загружается весело, с музыкой и котиками?
   Asmody
 
17 - 27.12.17 - 10:45
Вообще, надо в комплекте с EDT продавать подписку на какой-нибудь музыкальный сервис. Ну, типа музыку послушать, пока оно там внутри пережевывает.
   Мыш
 
18 - 27.12.17 - 10:47
(17) Оно бесплатно. В процессе жевания есть время почитать документацию )
   Digger
 
19 - 27.12.17 - 10:57
(13)  Могут,  оно даже его конвертирует при запуске.  Но выживают после этого не только лишь все обитатели воркспейса.  Проапдейтить тестовую базу из ЕДТ я после конвертации не смог, ибо оно вываливалось с ошибкой что не знает какой то формат 2.5.   Немного помыкавшись (справка то у нас на высоте), я потом просто создал новый воркспейс и импортнул туда конфу.
   Digger
 
20 - 27.12.17 - 11:02
(16) Загружается проект кстати быстрее чем в 1.6.
   тарам пам пам
 
21 - 27.12.17 - 11:06
На тренинге по эксперту проскакивали намеки, что разработчиков ERP хотят посадить за EDT в качестве подопытных хомячков, так сказать, так что может через годик уже можно будет пользоваться в обычной разработке.
   Пузан
 
22 - 27.12.17 - 11:11
А как обновить с 1.6 на 1.7? Тупо скопировать содержимое 1.7 в папку с 1.6?
   Fragster
 
23 - 27.12.17 - 11:27
(21) да хотя бы БСП - был бы успех в юзабельности. хотя учитывая унылость конфигуратора по равнению с другими IDE - программисты 1с в фирме 1с существа непривередливые.
   dinn
 
24 - 27.12.17 - 11:27
ERP загрузить не получилось
   Digger
 
25 - 27.12.17 - 12:18
(21) Какое ЕРП?  Пока не сделают возможность работать с конфами на поддержке,  с типовыми в EDT ни ногой.    Нетленки норм ваять,  мобильные приложения опять же.   Хотя в 8.3.11 уже сделали чтобы можно было форму дизайнить в мобильном режиме,  а в EDT новом нифига.
   Леха Дум
 
26 - 28.12.17 - 15:41
На сайте выкатили ЕДТ версии 1.7.0.570
   MegaKent
 
27 - 13.01.18 - 11:48
(26)
хотел обновлять в нем ерп 2.2.3 до 2.2.4
и вот что я получил 
"eclipse.buildId=unknown
java.version=9.0.1
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=ru_RU
Command-line arguments:  -os win32 -ws win32 -arch x86_64 -clean

org.eclipse.xtext.resource.clustering.DynamicResourceClusteringPolicy
Ошибка
Sat Jan 13 11:34:01 MSK 2018
org.eclipse.xtext.resource.clustering.DynamicResourceClusteringPolicy  - Your total heap size (8192m) is too small. Please increase the maximum heap for your running JVM!

"
8гигов памяти не хватило - ужасть.
еще сегодня он все мои 12 ядер занял и читал с винта 2.3ГБ/сек и записывал пару раз на 1000-700МБ/сек
по сравнению с конфигуратором - он очень удобный и быстрый.

дело движется я думаю Java на русском или на латинице - 1с как зык отомрет через года 4ре. все вендоры приходят к этому ( что надо компилировать)
   Мыш
 
28 - 13.01.18 - 11:51
(27) > 8гигов памяти не хватило - ужасть
Ставь 16 гигов и ССД непременно.

> по сравнению с конфигуратором - он очень удобный и быстрый
Воистину. И непаханое поле для плагинописателей. Надо учить яву )
   jsmith82
 
29 - 13.01.18 - 12:08
(28) Ты не знаешь яву?!
   MegaKent
 
30 - 13.01.18 - 12:15
(28)
дак 16  и стоит, только я ему отрезал 8 как в инструкции для больших конфигураций. надо еще 16 докупить

SSD и так Samsung NVMe 960EVO (3.2Tb read|1/4Tb write)
   Sserj
 
31 - 13.01.18 - 12:26
(27) О как...
А она уже может работать с 9-ой явой?
Включая 1.7.0.567 стабильно работали под 8-ой, под 9-ой куча непонятных эксепшенов в разных местах вылетали.
   Мыш
 
32 - 13.01.18 - 12:28
(29) Только мотоцикл и остров.
   MegaKent
 
33 - 13.01.18 - 13:32
(31) я не парился... поставил что оракл дал да и все... кстати хорошо что напомнил ... ASDM надо обязательно попробывать
 
 
   Digger
 
34 - 13.01.18 - 15:27
(27) Как ты типовые на нем обновляешь?  Оно ж не умеет.
   Asmody
 
35 - 06.02.18 - 00:22
600й зарелизило
Кто-нибудь качнул уже?
   MaxS
 
36 - 06.02.18 - 05:57
(35) Качнул, неопределенность осталась.
В новый год на версии 1.7.0.570 попробовал с обработками поработать, баги. Закрыл. Через пару недель открыл, чтобы о баге сообщить, обработки не открылись - дерево пустое.

В версии 1.7.0.600 так же. Не работает. Придётся попробовать заново создать новый проект конфигурации, потом обработки и убедиться что работать уже можно или ещё нельзя.
   Пузан
 
37 - 06.02.18 - 06:30
(36) Из источников близких к... Способ обновления EDT следующий. Удаляем старый EDT, ставим новый. Тупо копировать новый на старый нельзя. :)
   MaxS
 
38 - 06.02.18 - 06:57
(37) Так и сделал. Из старого пару строчек для ини файла забрал.
Пока с опаской отношусь к инструменту, т.к. вдруг может появиться 100500 ошибок, из текста которых ничего непонятно как их исправлять.
На пол года придержал развитие своего проекта в надежде перейти на новый инструмент. Видимо придётся параллельно изучать, а основную работу делать по старинке.
   ildary
 
39 - 06.02.18 - 07:12
Видимо, пока не обьявят, что разработчиков ERP перевели на EDT - счастья можно не ждать.
   Пузан
 
40 - 06.02.18 - 07:29
Этот же источник, близкий к, подтверждает, что EDT - это серьезно, а не на побаловаться. 1С делает на этот инструмент ставку. Сейчас типа проблема, что за дцать лет в конфигураторе написали кучу всего и взять это все перевести на Эклипс не так то просто и быстро.
Я сам начал небольшой проект на нем делать. Пока все гуд, даже работает. :)
   1Снеговик
 
41 - 06.02.18 - 07:51
(40) и в чем разница принципиальная? Прям есть такое, из-за чего стоит отказаться от конфигуратора в пользу EDT?
   golem14
 
42 - 06.02.18 - 07:53
(40) очень опрометчиво делать ставку на умирающий eclips, и тем более экономить на этом доверяя разработку xored.
   tabarigen
 
43 - 06.02.18 - 09:36
Ребят под Линукс есть это чудо?
   ildary
 
44 - 06.02.18 - 09:48
(43) а кто-то обещал EDT под линукс? Им бы Win версию допилить.
   Sserj
 
45 - 06.02.18 - 10:11
(43)(44) Конечно есть, это же ява. Онаи под макось есть.
   MaxS
 
46 - 06.02.18 - 16:53
(45) У EDT под линукс меньше глюков или никто не пробовал? ;) Пересел бы на что угодно если оно работает.
   Мыш
 
47 - 06.02.18 - 17:08
(43)
1C:Enterprise Development Tools для Windows 64 Bit
1C:Enterprise Development Tools для Linux 64 Bit
1C:Enterprise Development Tools для Mac OS X

Выбирай.
   ERWINS
 
48 - 06.02.18 - 19:59
Джетбреин дали бы разработку и среды и языка.
   Sserj
 
49 - 07.02.18 - 09:22
(46) Абсолютно одинаковые, всмысли у меня где на вин ексепшины вылетают, в точно тех же местах и на лине.

(48)Ага. И платить абонентную плату за использование. Ты лицензионную политику то джетбрайнса знаешь, это не халявная 1С - купил, не хочешь обновляться не платишь и работаешь. У джетбрайнса не хочешь платить - не работаешь.
 
  Рекламное место пустует
   Digger
 
50 - 07.02.18 - 10:39
(41) Для групповой разработки реально будет стоить отказаться от конфигуратора в пользу ЕДТ (когда его допилят),  ибо git.  Ну и всякие мелкие приятные мелочи там тоже имеются.  Но пока основной функционал не догонят до обычного конфигуратора,  то будем подождать.
   ERWINS
 
51 - 07.02.18 - 10:40
Джетбреин дали бы разработку и среды и языка.



Список тем форума
  Рекламное место пустует
Требовать и эффективности, и гибкости от одной и той же программы — все равно, что искать очаровательную и скромную жену... по-видимому, нам следует остановиться на чем-то одном из двух.
Фредерик Брукс-младший
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.
Рекламное место пустует